Как исправить ошибку mksdcard в Android Studio Setup на Mac?

Как исправить эту ошибку при запуске установки Android Studio на Mac OSX10.7.5 «Невозможно запустить инструмент SDK для mksdcard. Одной из распространенных причин этого отказа являются отсутствие требуемых библиотек. Исправьте основную проблему и повторите попытку».

Утилита mksdcard распространяемая с последними версиями Android SDK, была скомпилирована таким образом, что она не будет работать в версиях OS X старше 10,8. Вы можете заменить свою mksdcard более старой копией утилиты, которая, как известно, работает в OS X 10.7.5, например, в http://dl-ssl.google.com/android/repository/tools_r22.6.2-macosx. Zip .

Кредит, где это необходимо: это решение от ответа IAMSME на аналогичный вопрос , который я нашел через googling «незаконное указание 4» после того, как я получил это сообщение об ошибке, когда подозрение привело меня к проверке mksdcard в командной строке.

Попробуйте запустить диспетчер пакетов (например, apt-get или brew, вам, вероятно, понадобится заваривать, так как вы находитесь в Mac OS X) для загрузки некоторых дополнительных пакетов, которые Android Studio не удалось установить.

Sudo apt-get install lib32z1 lib32ncurses5 lib32bz2-1.0 lib32stdc ++ 6 (Командная строка для ОС Ubuntu)

Помимо установки Android Studio следует проверить, способен ли работать 32-разрядные компоненты, такие как aapt или adb. Надеюсь, это послужит вам работой.

Кстати, это ошибка Google, которую в настоящее время решают (не уверенный, что Titanium Studio должна делать здесь, как цитирует Марк ранее).

https://code.google.com/p/android/issues/detail?id=152213

Единственное решение, которое сработало для меня, – это перетащить титановую студию в корзину и переустановить ее. Я трачу часы, пытаясь справиться с этим, но не мог. После переустановки он просто сработал.

Я бы рекомендовал использовать старую версию Android Studio до тех пор, пока она не будет отсортирована Google.